package cn.com.qmth.stmms.monitor;

import java.util.Date;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import cn.com.qmth.stmms.biz.utils.TaskLock;
import cn.com.qmth.stmms.biz.utils.TaskLock.LockNode;
import cn.com.qmth.stmms.biz.utils.TaskLockUtil;
import cn.com.qmth.stmms.common.utils.DateUtils;

@Controller("taskMonitor")
@RequestMapping("/monitor/task")
public class TaskMonitorController {

    @RequestMapping
    @ResponseBody
    public Object list(HttpServletRequest request, @RequestParam Integer examId, @RequestParam String subjectCode,
            @RequestParam Integer groupNumber) {
        TaskLock taskLock = TaskLockUtil.getFormalTask(examId + "_" + subjectCode + "_" + groupNumber);
        JSONArray array = new JSONArray();
        List<LockNode> list = taskLock.list();
        for (LockNode node : list) {
            JSONObject obj = new JSONObject();
            obj.accumulate("taskId", node.getId());
            obj.accumulate("number", node.getNumber());
            obj.accumulate("markerId", node.getOwner());
            obj.accumulate("time", DateUtils.formatDateTime(new Date(node.getTime())));
            array.add(obj);
        }
        return array;
    }

}
